develooper Front page | perl.moose | Postings from February 2009

Making Class::MOP _require_ XS

Thread Next
From:
Dave Rolsky
Date:
February 20, 2009 12:41
Subject:
Making Class::MOP _require_ XS
Message ID:
alpine.DEB.0.9999.0902201440030.2038@urth.org
I'm getting tired of resolving bugs between the XS and non-XS 
implementation paths in Class::MOP. Just now, I found a bug that just 
appears to be insoluble with pure Perl, or at least not soluble without 
huge gobs of nasty code.

Is anyone really depending on being able to use Class::MOP (and therefore) 
Moose with an XS-less install?


-dave

/*============================================================
http://VegGuide.org               http://blog.urth.org
Your guide to all that's veg      House Absolute(ly Pointless)
============================================================*/

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About